# Generated by Django 2.0.7 on 2018-07-30 13:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import tinymce.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organization', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ReportTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('template_name', models.CharField(max_length=200)),
                ('procedure', models.CharField(blank=True, max_length=100, null=True)),
                ('clinical_information', tinymce.models.HTMLField(blank=True, null=True)),
                ('comparison', tinymce.models.HTMLField(blank=True, null=True)),
                ('findings', tinymce.models.HTMLField(blank=True, null=True)),
                ('impression', tinymce.models.HTMLField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('facility', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='report_templates', to='organization.Facility')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='report_templates', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Report Templates',
                'db_table': 'report_templates',
            },
        ),
    ]
